#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtest
Version		:	1.13.0
Release		:	14.4.0.0%{?dist}
Summary		:	Google C++ testing framework

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and ASL 2.0
URL		:	https://github.com/google/googletest

Source0		:	googletest-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	make
BuildRequires	:	python3

#-----------------------------------------------------------------------------
%description
Framework for writing C++ tests on a variety of
platforms (GNU/Linux, Mac OS X, Windows, Windows CE,
and Symbian). Based on the xUnit architecture.
Supports automatic test discovery, a rich set of
assertions, user-defined assertions, death tests,
fatal and non-fatal failures, various options for
running the tests, and XML test report generation.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%license LICENSE
%{_libdir}/libgtest.so.%{version}
%{_libdir}/libgtest_main.so.%{version}
	
#=============================================================================
%package		devel

Summary		:	development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}
Requires	:       gmock	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains development files for %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc CONTRIBUTORS README.md
%doc docs/
%doc googletest/samples
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/internal/*.h
%{_includedir}/%{name}/internal/custom/%{name}.h
%{_includedir}/%{name}/internal/custom/%{name}-*.h
%{_includedir}/%{name}/internal/custom/README.md
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}_main.so
%{_libdir}/cmake/GTest/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_main.pc

#=============================================================================
%package		-n gmock

Summary		:	Google C++ Mocking Framework

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n gmock
Inspired by jMock, EasyMock, and Hamcrest, and
designed with C++s specifics in mind, Google
C++ Mocking Framework (or Google Mock for short)
is a library for writing and using C++ mock classes.

Google Mock:
 o lets you create mock classes trivially using simple macros,
 o supports a rich set of matchers and actions,
 o handles unordered, partially ordered, or completely ordered
   expectations,
 o is extensible by users, and
 o works on Linux, Mac OS X, Windows, Windows Mobile, minGW, and
   Symbian.

#-----------------------------------------------------------------------------
%files			-n gmock
%defattr(-,root,root,-)
%license LICENSE
%{_libdir}/libgmock.so.%{version}
%{_libdir}/libgmock_main.so.%{version}

#=============================================================================
%package		-n gmock-devel

Summary		:	development files for gmock

#-----------------------------------------------------------------------------
Requires	:       gmock	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n gmock-devel
This package contains development files for gmock

#-----------------------------------------------------------------------------
%files			-n gmock-devel
%defattr(-,root,root,-)
%doc CONTRIBUTORS README.md
%doc docs/
%{_includedir}/gmock/*.h
%{_includedir}/gmock/internal/*.h
%{_includedir}/gmock/internal/custom/README.md
%{_includedir}/gmock/internal/custom/*.h
%{_libdir}/libgmock.so
%{_libdir}/libgmock_main.so
%{_libdir}/pkgconfig/gmock.pc
%{_libdir}/pkgconfig/gmock_main.pc

#=============================================================================
%prep
%setup -q -n googletest-%{version}

#-----------------------------------------------------------------------------
#building application
%build
CMAKE_FLAGS=

cmake	 $CMAKE_FLAGS						\
	-B build						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D BUILD_SHARED_LIBS=ON 				\
	-D PYTHON_EXECUTABLE=%{__python3}			\
	-D gtest_build_tests=ON					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	-C build						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


#-----------------------------------------------------------------------------
%changelog
